package cd.casic.module.machine.contants;

import cd.casic.framework.commons.exception.ErrorCode;

/**
 * 机器报错
 */
public interface MachineErrorCodeConstants {
    // ========== 机器模块 1-003-000-000 ==========
    ErrorCode MACHINE_INFO_NULL = new ErrorCode(1_003_000_000, "机器信息为空");
    ErrorCode UPLOADING_FILE_FAIL = new ErrorCode(1_003_000_001, "上传文件失败");
    ErrorCode DOWNLOAD_FILE_FAIL = new ErrorCode(1_003_000_002, "下载失败");
    ErrorCode FILENAME_NULL = new ErrorCode(1_003_000_003, "文件名为空");
    ErrorCode READ_FILE_FAIL = new ErrorCode(1_003_000_004, "读取文件失败");
    ErrorCode DELETE_FILE_FAIL = new ErrorCode(1_003_000_005, "删除文件失败");
    ErrorCode MACHINE_PROXY_DTO_NULL = new ErrorCode(1_003_000_006, "MachineProxyDTO对象为空");
    ErrorCode MACHINE_PROXY_NULL = new ErrorCode(1_003_000_007, "MachineProxy代理不存在");
    ErrorCode PARAMETER_ERROR = new ErrorCode(1_003_000_008, "参数错误");
    ErrorCode MACHINE_ENV_NULL = new ErrorCode(1_003_000_009, "机器环境变量为空");
    ErrorCode MACHINE_ENV_NOT_EXISTS = new ErrorCode(1_003_000_009, "机器不存在");
    ErrorCode MACHINE_ENV_EXISTS = new ErrorCode(1_003_000_009, "机器已存在");
    ErrorCode MACHINE_ENV_KEY_ILLEGAL = new ErrorCode(1_003_000_010, "机器环境变量键不合法");
    ErrorCode OSS_PARAM_NULL = new ErrorCode(1_003_000_011, "oss参数无法读取");
    ErrorCode SECRETKEY_NULL = new ErrorCode(1_003_000_012, "密钥为空");
}


